DB_AUTONOMOUS-DATABASE_GENERATE-WALLET(1)

NAME
db_autonomous-database_generate-wallet -

DESCRIPTION

Creates and downloads a wallet for the specified Autonomous Database.

USAGE

oci db autonomous-database generate-wallet [OPTIONS]

REQUIRED PARAMETERS

--autonomous-database-id [text]

    The database OCID <https://docs.cloud.oracle.com/Content/General/Concepts/identifiers.htm>.

--file [filename]

    The name of the file that will receive the response data, or '-' to write to STDOUT.

--password [text]

    The password to encrypt the keys inside the wallet. The password must be at least 8 characters long and must include at least 1 letter and either 1 numeric character or 1 special character.

OPTIONAL PARAMETERS

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id --> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our "using CLI with advanced JSON options" link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--generate-type [text]

    The type of wallet to generate. SINGLE is used to generate a wallet for a single database. ALL is used to generate wallet for all databases in the region.

    Accepted values are:

    ALL, SINGLE

GLOBAL PARAMETERS

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

AUTHOR
Oracle

COPYRIGHT
2016, 2020, Oracle